List all tag rules
curl --request GET \
--url https://api.sandbox.teal.dev/v0/tags/rules \
--header 'Authorization: Bearer <token>' \
--header 'teal-instance-id: <teal-instance-id>'import requests
url = "https://api.sandbox.teal.dev/v0/tags/rules"
headers = {
"teal-instance-id": "<teal-instance-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'teal-instance-id': '<teal-instance-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.sandbox.teal.dev/v0/tags/rules', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"next_page_token": "ikal0NEVfMhF8dJf4yQ6KQZmGD",
"prev_page_token": "vuA7JeKI5c6FLnPt5JfRcZcJxW",
"records": [
{
"id": "<string>",
"name": "<string>",
"tag_id": "<string>",
"expression": "<string>",
"priority": 123
}
]
}{
"message": "<string>",
"data": "<unknown>",
"display_message": "<string>"
}{
"message": "<string>",
"data": "<unknown>",
"display_message": "<string>"
}{
"message": "<string>",
"data": "<unknown>",
"display_message": "<string>"
}{
"message": "<string>",
"data": "<unknown>",
"display_message": "<string>"
}Tags
List all tag rules
Lists all tag rules.
GET
/
v0
/
tags
/
rules
List all tag rules
Authorizations
Bearer authentication header of the form Bearer , where is your auth token.
Headers
The teal instance ID
Query Parameters
A comma separated list of Tag Rule IDs. Only return Tag Rules with the specified IDs. Returns 404 if an ID is not found, 403 if any ID is not authorized.
The number of records to return. Max limit is 1000.
Required range:
x >= 1Opaque page token
Response
Successful Response
The token to use to request the next page
Example:
"ikal0NEVfMhF8dJf4yQ6KQZmGD"
The token to use to request the previous page
Example:
"vuA7JeKI5c6FLnPt5JfRcZcJxW"
A list of tag rules.
Show child attributes
Show child attributes
Example:
[
{
"expression": "match(\".*(?i)SHELL GAS\", t.description)",
"id": "yB2xokXpQb5S1NgyWsNCwG",
"name": "Tag gas expense",
"priority": 10,
"tag_id": "NCB2xo5S1yQbNgyWskXpwG"
}
]
⌘I